<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
	<script type="text/javascript">
	/* 
		Creamos la clase
	*/

	var Caja=function(a,b,c){

		// propiedad privada
		var unidad="px";

		// propiedades publicas
		this.ancho=0;
		this.alto=0;
		this.texto="";

		// metodo privado
		function concatenar(){
		this.ancho=this.ancho+unidad;
		this.alto=this.alto+unidad;
		}
	
		//metodos publicos
		this.mensaje=function(){
		this.texto="esto es un ejemplo";
		};
		this.mostrar=function(){
		alert(this.texto);
		};

		this.caja=function(){//todo lo que se inicializa por defecto debe ir aquí en el onstructor.
			this.ancho=a;
			this.alto=b;
			this.texto=c;
		};
		this.caja();

	
};

/*
	Creamos el objeto
*/

var objeto=new caja(10,20,"hola mundo");

console.log(objeto.alto);
objeto.mostrar();

</script>
</head>

<body>
<div class="cajas entrada">
<pre>
/* 
	Creamos la clase
*/

var caja=function(a,b,c){

	// propiedad privada
	var unidad="px";

	// propiedades publicas
	this.ancho=a;
	this.alto=b;
	this.texto=c;

	// metodo privado
	function concatenar(){
		this.ancho=this.ancho+unidad;
		this.alto=this.alto+unidad;
	}
	
	//metodos publicos
	this.mensaje=function(){
		this.texto="esto es un ejemplo";
	};
	this.mostrar=function(){
		alert(this.texto);
	};
	
};

/*
	Creamos el objeto
*/

var objeto=new caja(10,20,"hola mundo");

console.log(objeto.alto);
objeto.mostrar();

</pre>
</div>
<div class="cajas salida" >
<div class="titulo">Ejemplo 4
</div>
<div class="explicacion">
Vamos a crear un objeto a partir de la clase "caja". Accederemos a los miembros del objeto. ¿Podemos acceder a concatenar?
</div>
</div>
</body>
</html>
